import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class TextFieldTestiSWF_2000 extends JFrame implements ActionListener
{
 private JTextField T1,T2,T3,T4;
 private Container c;
 private JTextArea cikti;
 public TextFieldTestiSWF_2000()
 {
 super("TextField (yazı alanı) testi");
 c=getContentPane();
 c.setLayout(new FlowLayout());
 c.setBackground(Color.lightGray);
 //bos textField
 T1=new JTextField();
 T1.addActionListener(this);
 c.add(T1);
 T2=new JTextField("Buraya yazı yazınız");
 T2.addActionListener(this);
 add(T2);
 T2=new JTextField("gizli yazı");
 T2.setText(,*,);
 T2.addActionListener(this);
 add(T2);
 T3=new JTextField("gizli yazı");
 T3.setEditable(false);
 add(T3);
 cikti = new JTextArea();
 }

 public void actionPerformed(ActionEvent e)
 {
 cikti.setText("Yazi : "+e.getActionCommand());
 }

       public static void main(String[] args)
      {
      TextFieldTestiSWF_2000 pencere= new TextFieldTestiSWF_2000();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(350,200);
      pencere.setVisible(true);
      }

}
